nilmdb: Non-Intrusive Load Monitor Database
by Jim Paris <jim@jtan.com>

Prerequisites:

  # Runtime and build environments
  sudo apt-get install python2.7 python2.7-dev python-setuptools cython

  # Base NilmDB dependencies
  sudo apt-get install python-cherrypy3 python-decorator python-simplejson
  sudo apt-get install python-requests python-dateutil python-tz python-psutil

  # Tools for running tests
  sudo apt-get install python-nose python-coverage

Test:
  python setup.py nosetests

Install:

  python setup.py install

Usage:

  nilmdb-server --help
  nilmtool --help
